/**
 * config.h: The config file for the preprocessor
 * 
 * Copyright: See COPYING file that comes with this distribution
 *
 * Author: Matthias Feistel <hitman_47@users.sourceforge.net>, (C) 2007
 */

// General
#define PLUGIN_NAME    						"VDR-LASTFM"
/*
 * Before releasing, unset DEBUGFLAGS in Makefile!
 */
#define PLUGIN_VERSION 						"0.2.1"

// web_serviceconnector
#define AUDIOSCROBBLER_CLIENTID				"vdr"
#define AUDIOSCROBBLER_CLIENTVERSION		"0.1"
#define	HTTPGET_MAXSIZE						120000 // Bytes (XML data can be bigger than you think)
#define AUDIOSCROBBLER_DOMAIN				"ws.audioscrobbler.com"
#define AUDIOSCROBBLER_BASEPATH				"/radio"
#define AUDIOSCROBBLER_POST_DOMAIN			"post.audioscrobbler.com"
#define AUDIOSCROBBLER_PORT					80

// audio_player
#define PLAYER_BUFSIZE	         			130000 * 9  // cFrameRingBuffer
#define MAX_FRAME_PAYLOAD      				2000
#define POLLTIMEOUT 						100
#define PLAYER_FAILURETIMEOUTINTERVAL		2 // in seconds

// audio_decoder
// is this correct ? (channels * 1152 * sample size)
#define OUTPUT_BUFFER_SIZE     				(2 * 1152 * 2)
#define PCM_SAMPLERATE						44100
#define PCM_CHANNELS						2
#define PCM_BUFFER_SIZE						(5 * 8192)*2 // 130000*2 (2007-08-15)
#define READBUFFSIZE        				2048      // buffersize in audio_mp3decoder.h for readbuffer
#define NET_BUFFER_SIZE						(5 * 8192) * 2

// 
#define MAXIMUM_THREADKILLTIME				3 // cancel timeout in seconds 
