/**
 * osd_userinterface_data.h: Presents submenus with metadata items
 * 
 * Copyright: See COPYING file that comes with this distribution
 *
 * Author: Matthias Feistel <hitman_47@users.sourceforge.net>, (C) 2006, 2007
 */

#ifndef __USERINTERFACE_DATA_H
#define __USERINTERFACE_DATA_H

#include <vdr/menu.h>
#include <vdr/menuitems.h>
#include "web_serviceconnector.h"

class cUserInterface_Data : public cOsdMenu
{
private:
	cWebServiceConnector * WebServiceConnector;
	void BuildItems( void );
public:
	cUserInterface_Data( void );
	~cUserInterface_Data( void );
	virtual eOSState ProcessKey( eKeys Key );
};

#endif //__USERINTERFACE_DATA_H
