/**
 * osd_userinterface_data_recentTracks.h: Presents metadata
 * 
 * Copyright: See COPYING file that comes with this distribution
 *
 * Author: Matthias Feistel <hitman_47@users.sourceforge.net>, (C) 2006, 2007
 */

#ifndef __USERINTERFACE_DATA_RECENTTRACKS_H
#define __USERINTERFACE_DATA_RECENTTRACKS_H

#include <vdr/menu.h>
#include <vdr/menuitems.h>
#include "web_serviceconnector.h"

class cUserInterface_Data_recentTracks : public cOsdMenu
{
private:
	cWebServiceConnector * WebServiceConnector;
	void BuildItems( );
public:
	cUserInterface_Data_recentTracks( std::string filterword = "all" );
	~cUserInterface_Data_recentTracks( void );
	virtual eOSState ProcessKey( eKeys Key );
private:
	std::string m_filterword, m_filter;
};

#endif //__USERINTERFACE_DATA_RECENTTRACKS_H
