/**
 * osd_userinterface_search_favourites.h: Search submenu for selecting favourites
 * 
 * Copyright: See COPYING file that comes with this distribution
 *
 * Author: Matthias Feistel <hitman_47@users.sourceforge.net>, (C) 2006, 2007
 */

#ifndef __USERINTERFACE_SEARCH_FAVOURITES_H
#define __USERINTERFACE_SEARCH_FAVOURITES_H

#include <vdr/menu.h>
#include <vdr/menuitems.h>

class cUserInterface_Search_Favourites : public cOsdMenu
{
private:
	char *m_searchword_ptr;
	void BuildItems( void );
public:
	cUserInterface_Search_Favourites( char *searchword_ptr );
	~cUserInterface_Search_Favourites( void );
	virtual eOSState ProcessKey( eKeys Key );
};

#endif //__USERINTERFACE_SEARCH_FAVOURITES_H
