/**
 * setup_favourites.h: Setup submenu for creating/deleting favourite entries
 * 
 * Copyright: See COPYING file that comes with this distribution
 *
 * Author: Matthias Feistel <hitman_47@users.sourceforge.net>, (C) 2006, 2007
 */

#ifndef __SETUP_FAVOURITES_H
#define __SETUP_FAVOURITES_H

#include <vdr/menu.h>
#include <string>
#include <list>

class cSetupFavourites : public cOsdMenu
{
public:
	cSetupFavourites( std::list<std::string> &FavouriteList );
private:
	void BuildItems( void );
	char newfavourite[ 512 ];
	std::list<std::string> &m_FavouriteList;
protected:
	virtual eOSState ProcessKey( eKeys Key );
};

#endif //__SETUP_FAVOURITES_H
