/**
 * metadata.h: Container classes for metadata
 * 
 * Copyright: See COPYING file that comes with this distribution
 *
 * Author: Matthias Feistel <hitman_47@users.sourceforge.net>, (C) 2006, 2007
 */

#ifndef ___METADATA_H
#define ___METADATA_H

#include <string>
#include <vector>
#include <map>

class cMetaData_relatedArtists
{
public:
	std::vector<std::string> m_name; ///hier: Artist
	std::vector<std::string> m_match;
	std::vector<std::string> m_url;
	std::vector<std::string> m_image_small_url;
	std::vector<std::string> m_image_url;
	std::vector<std::string> m_streamable;
};

class cMetaData_recentTracks
{
public:
	std::vector<std::string> m_artist;
	std::vector<std::string> m_name;
	std::vector<std::string> m_date;
};

class cMetaData
{
public:
	std::map<std::string, std::string> mp_MetadataMap;
};

#endif //___METADATA_H
