/**
 * web_networkcontroller_httpget.h: HTTPGet
 * 
 * Copyright: See COPYING file that comes with this distribution
 *
 * Author: Matthias Feistel <hitman_47@users.sourceforge.net>, (C) 2007
 */

#ifndef WEB_NETWORKCONTROLLER_HTTPGET_H_
#define WEB_NETWORKCONTROLLER_HTTPGET_H_

#include <Sockets/HttpGetSocket.h>

class My_Web_HttpGetSocket : public HttpGetSocket
{
public:
	My_Web_HttpGetSocket( ISocketHandler&, const std::string& url,
			const std::string& to_file = "" );
private:
	virtual void OnConnect( void );
};

#endif // WEB_NETWORKCONTROLLER_HTTPGET_H_
