/**
 * osd_userinterface_search.h: Search for artists and tags
 * 
 * Copyright: See COPYING file that comes with this distribution
 *
 * Author: Matthias Feistel <hitman_47@users.sourceforge.net>, (C) 2006, 2007
 */

#ifndef __USERINTERFACE_SEARCH_H
#define __USERINTERFACE_SEARCH_H

#include <vdr/menu.h>
#include <vdr/menuitems.h>
#include "web_serviceconnector.h"

class cUserInterface_Search : public cOsdMenu
{
private:
	void BuildItems( void );
	char m_searchword[ 511 ];
	cWebServiceConnector *WebServiceConnector;
public:
	cUserInterface_Search( void );
	~cUserInterface_Search( void );
	virtual eOSState ProcessKey( eKeys Key );
};

#endif //__USERINTERFACE_SEARCH_H
