/**
 * osd_userinterface_submenu.h: Ssubmenu for several items
 * 
 * Copyright: See COPYING file that comes with this distribution
 *
 * Author: Matthias Feistel <hitman_47@users.sourceforge.net>, (C) 2006, 2007
 */

#ifndef __USERINTERFACE_SUBMENU_H
#define __USERINTERFACE_SUBMENU_H

#include <vdr/menu.h>
#include <vdr/menuitems.h>
#include "web_serviceconnector.h"

class cUserInterface_Submenu : public cOsdMenu
{
private:
	cWebServiceConnector * WebServiceConnector;
	void BuildItems( void );
public:
	cUserInterface_Submenu( void );
	~cUserInterface_Submenu( void );
	virtual eOSState ProcessKey( eKeys Key );
};

#endif //__USERINTERFACE_SUBMENU_H
