/**
 * web_networkcontroller.h: Get,Post,PostXML-Networkmethods
 * 
 * Copyright: See COPYING file that comes with this distribution
 *
 * Author: Matthias Feistel <hitman_47@users.sourceforge.net>, (C) 2007
 */

#ifndef WEB_NETWORKCONTROLLER_H_
#define WEB_NETWORKCONTROLLER_H_

#include <Sockets/SocketHandler.h>

class cNetworkController
{
public:
	bool HttpPostRequest( std::string &body, const std::string url,
			const std::map<std::string,std::string> postdataMap );
	bool HttpGetRequest( std::string &body, const std::string url );
	bool HttpPostXmlRequest( std::string &body, const std::string url,
			const std::string xmldata );
};

#endif // WEB_NETWORKCONTROLLER_H_
