/**
 * web_networkcontroller_httppostxml.h: HTTPPostXML
 * 
 * Copyright: See COPYING file that comes with this distribution
 *
 * Author: Matthias Feistel <hitman_47@users.sourceforge.net>, (C) 2007
 */

#ifndef WEB_NETWORKCONTROLLER_HTTPPOSTXML_H_
#define WEB_NETWORKCONTROLLER_HTTPPOSTXML_H_

#include <Sockets/HttpPostSocket.h>

class My_Web_HttpPostXmlSocket : public HttpPostSocket
{
public:
	My_Web_HttpPostXmlSocket( ISocketHandler&, const std::string& url_in, const std::string xmldata );
private:
	std::string _xmldata;
	virtual std::string MyUseragent( );
	virtual void OnConnect( void );	
};

#endif // WEB_NETWORKCONTROLLER_HTTPPOSTXML_H_
